Subject: bug#46687: 28.0.50; Emacs freezes when disabling toolbar

From: PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]>
Date: Mon, 22 Feb 2021 12:45:13 +0100

PS: interestingly, it happens both on My MacBook Pro (10.13) and my Macbook Air (10.15)… My configure is:

./autogen.sh
./configure --without-x --with-ns --with-modules \
 --with-xpm --with-jpeg \
 --enable-silent-rules \
 PKG_CONFIG_PATH=/usr/local/lib/pkgconfig \
 LDFLAGS="-L/usr/local/lib" CPPFLAGS="-I/usr/local/include" \
 CC=clang OBJC=clang CFLAGS="-g -O2”

From a clean git clone. I use macholib to create the standalone.

Best, /PA

> El 22 feb 2021, a las 12:39, PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]> escribió:
> 
> Yes, it works! Both programmatically with
> (setq default-frame-alist '((width . 120) (height . 33)))
> and  "fooling around" with the mouse ;-)
> 
> /PA
> 
> El lun, 22 feb 2021 a las 12:33, Alan Third (<[email-masked] <mailto:[email-masked]>>) escribió:
> On Mon, Feb 22, 2021 at 12:19:14PM +0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:
> > My stupid… I meant the toolbar and have been able to track it down
> > on trying to disabling it
> > 
> > Attaching a compressed log from a forced exit after emacs -Q and
> > hide toolbar from menu
> 
> It looks like it's in the call to redisplay in viewWillDraw.
> 
> Does resizing work OK? Like, grabbing the corner of the window and
> waving it about for a few seconds?
> -- 
> Alan Third
> 
> 
> -- 
> ---
> PEDRO ANDRES ARANDA GUTIERREZ
> Universidad Carlos III de Madrid
> 
> "Fragen sind nicht da um beantwortet zu werden.
> Fragen sind da, um gestellt zu werden" Georg Kreisler

—
PEDRO ANDRES ARANDA GUTIERREZ
[email-masked]
Universidad Carlos III Madrid

Fragen sind nicht da um beantwortet zu werden…
Fragen sind da, um gestellt zu werden.
Georg Kreisler